List action records
curl --request GET \
--url https://api.arklow.io/v1/orgs/{org_id}/actions/records \
--header 'x-arklow-auth: <api-key>'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/actions/records"
headers = {"x-arklow-auth": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-arklow-auth': '<api-key>'}};
fetch('https://api.arklow.io/v1/orgs/{org_id}/actions/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"items": [
{
"id": "<string>",
"org_id": "<string>",
"action_definition_id": "<string>",
"input": "<unknown>",
"timeout": 123,
"tags": {},
"state": {
"status": "<string>",
"attempt": 123,
"updated_at": "2023-11-07T05:31:56Z",
"available_at": "2023-11-07T05:31:56Z",
"timeout_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>"
},
"definition": {
"id": "<string>",
"org_id": "<string>",
"variant": "<string>",
"version": 123,
"alias": [
"<string>"
],
"schema": "<unknown>",
"deleted_at": "2023-11-07T05:31:56Z",
"destinations": [
{
"id": "<string>",
"action_definition_id": "<string>",
"destination_id": "<string>",
"org_id": "<string>",
"is_default": true,
"destination": {
"id": "<string>",
"org_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"label": "<string>",
"type": "webhook",
"config": {
"url": "<string>",
"headers": {},
"signaling": {
"enabled": true,
"default": "ack"
},
"response_time_sla_ms": 2,
"partition_tag_key": "<string>"
},
"capacity_domain_ids": [
"<string>"
],
"deleted_at": "2023-11-07T05:31:56Z",
"tags": {},
"credential_id": "<string>"
}
}
]
},
"events": [
{
"id": "<string>",
"action_record_id": "<string>",
"org_id": "<string>",
"kind": "<string>",
"status": "<string>",
"attempt": 123,
"available_at": "2023-11-07T05:31:56Z",
"timeout_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"data": "<unknown>"
}
]
}
],
"count": 123
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}List action records
GET
/
v1
/
orgs
/
{org_id}
/
actions
/
records
List action records
Authorizations
Path Parameters
Pattern:
^[0-9]+$Query Parameters
Required range:
1 <= x <= 50Required range:
x >= 0Show child attributes
Show child attributes
op
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
Available options:
eq